/// Entry point for the dart_jts library.
library dart_jts;

import "dart:collection";
import "dart:core" ;
import "dart:typed_data" ;
import 'package:intl/intl.dart';
import "dart:math" as math;
import 'package:collection/collection.dart' show ListEquality;
import "package:hex/hex.dart";

part 'src/com/hydrologis/jts/io/io.dart';
part 'src/com/hydrologis/jts/io/wkb.dart';
part 'src/com/hydrologis/jts/geom/coordinate.dart';
part 'src/com/hydrologis/jts/geom/envelope.dart';
part 'src/com/hydrologis/jts/geom/geom.dart';
part 'src/com/hydrologis/jts/geom/util.dart';
part 'src/com/hydrologis/jts/algorithm/distance.dart';
part 'src/com/hydrologis/jts/algorithm/algorithm.dart';
part 'src/com/hydrologis/jts/algorithm/locate.dart';
part 'src/com/hydrologis/jts/operation/operation.dart';
part 'src/com/hydrologis/jts/operation/valid.dart';
part 'src/com/hydrologis/jts/operation/relate.dart';
part 'src/com/hydrologis/jts/operation/overlay.dart';
part 'src/com/hydrologis/jts/operation/predicate.dart';
part "src/com/hydrologis/jts/math/math.dart";
part "src/com/hydrologis/jts/geomgraph/geomgraph.dart";
part "src/com/hydrologis/jts/geomgraph/index.dart";
part "src/com/hydrologis/jts/util.dart";
part 'src/com/hydrologis/jts/geom/geometry.dart';
part 'src/com/hydrologis/jts/geom/point.dart';
part 'src/com/hydrologis/jts/geom/geometry_collection.dart';
part 'src/com/hydrologis/jts/geom/multipoint.dart';
part 'src/com/hydrologis/jts/geom/linestring.dart';
part 'src/com/hydrologis/jts/geom/multilinestring.dart';
part 'src/com/hydrologis/jts/geom/polygon.dart';
part 'src/com/hydrologis/jts/geom/multipolygon.dart';
part "src/com/hydrologis/jts/util/geom_impl.dart";
part "src/com/hydrologis/jts/util/util.dart";
part "src/com/hydrologis/jts/index/index.dart";
part "src/com/hydrologis/jts/index/strtree.dart";
part "src/com/hydrologis/jts/util/avltree.dart";


